%define pkg_name        Mail-GnuPG
%define pkg_version     0.10
%define rpm_pkg_version 0.10
%define rpm_pkg_release 1.n0i.3

Summary:       MIME Email <-> GnuPG::Interface interface
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RS/RSPIER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(GnuPG::Interface)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::Address)


%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.10-1.n0i.3
- version 0.10

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.08-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
